vnfd:
  product-name: magma_orc_cnf
  version: "1.0"
  provider: Canonical
  description: "K8s container deployment of Magma Orchestrator"
  id: magma_orc_cnf
  mgmt-cp: mgmtnet-ext
  ext-cpd:
    - id: mgmtnet-ext
      k8s-cluster-net: mgmtnet
  kdu:
    - name: magma-orc-kdu
      juju-bundle: bundle.yaml
  k8s-cluster:
    nets:
      - id: mgmtnet
  df:
    - id: default-df
      lcm-operations-configuration:
        operate-vnf-op-config:
          day1-2:
            - id: magma-orc-kdu
              config-primitive:
                - name: get-master-admin-credentials
                  parameter:
                    - name: application-name
                      data-type: STRING
                      default-value: nms-magmalte
                - name: get-pfx-package-password
                  parameter:
                    - name: application-name
                      data-type: STRING
                      default-value: orc8r-certifier
                - name: get-load-balancer-services
                  parameter:
                    - name: application-name
                      data-type: STRING
                      default-value: orc8r-orchestrator
